#include <gtk/gtk.h>

#ifndef CALLBACKS_H
#define CALLBACKS_H

void on_TextLocal_insert_text (GtkEditable *editable, gchar *new_text, gint new_text_length, gint *position, gpointer user_data);
void on_ButtonClearRemote_clicked (GtkButton *button, gpointer user_data);
void on_ButtonClearLocal_clicked (GtkButton *button, gpointer user_data);
gint Listen (gpointer data);
int InstanciateTask (int id);
void on_Item_Quit (GtkMenuItem *menuitem, gpointer user_data);
gboolean on_MainWindow_quit (GtkWidget *widget, GdkEvent *event, gpointer user_data);
void on_ItemAbout_activate (GtkMenuItem *menuitem, gpointer user_data);
void SendCaller (void);
void on_ButtonClearDrawing_clicked (GtkButton *button, gpointer user_data);

gboolean
on_DrawingArea_button_press_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_DrawingArea_motion_notify_event     (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_DrawingArea_button_release_event    (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_DrawingArea_configure_event         (GtkWidget       *widget,
                                        GdkEventConfigure *event,
                                        gpointer         user_data);

gboolean
on_DrawingArea_expose_event            (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);
#endif
/* End of file */
